Eclipse Platform Release 3.7

## org.eclipse.team.ui
Class TeamUI

    java.lang.Object
      org.eclipse.team.ui.TeamUI

    public class TeamUI

extends Object

TeamUI contains public API for generic UI-based Team functionality.

This class is not intended to be subclassed or instantiated by clients

Field Summary
`static String` `GLOBAL_FILE_TYPES_CHANGED` Property constant indicating the global file types list has changed.
`static String` `GLOBAL_IGNORES_CHANGED` Property constant indicating the global ignores list has changed.

Constructor Summary
`TeamUI()`

Method Summary
`static void` `addPropertyChangeListener(IPropertyChangeListener listener)` Register for changes made to Team properties.
`static IHistoryView` `getHistoryView()` Shows the history view and returns a handle to it.
`static IScmUrlImportWizardPage[]` `getPages(ScmUrlImportDescription[] descriptions)` Return a set of wizard pages for the given descriptions.
`static ISynchronizeManager` `getSynchronizeManager()` Return the synchronize manager.
`static ITeamContentProviderManager` `getTeamContentProviderManager()` Return the team content provider manager which gives access to the team content providers registered with the `org.eclipse.team.ui.teamContentProviders` extension point.
`static void` `removePropertyChangeListener(IPropertyChangeListener listener)` Remove the listener from Team property change listener list.
`static IHistoryView` `showHistoryFor(IWorkbenchPage page, Object input, IHistoryPageSource pageSource)` Shows a history view containing the given input and returns a handle to the view or `null` if no history was available for the given input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_IGNORES_CHANGED

    public static final String GLOBAL_IGNORES_CHANGED

  Property constant indicating the global ignores list has changed.

  See Also:
    Constant Field Values

### GLOBAL_FILE_TYPES_CHANGED

    public static final String GLOBAL_FILE_TYPES_CHANGED

  Property constant indicating the global file types list has changed.

  Since:
    3.1
  See Also:
    Constant Field Values

Constructor Detail

### TeamUI

    public TeamUI()

Method Detail

### getSynchronizeManager

    public static ISynchronizeManager getSynchronizeManager()

  Return the synchronize manager.

  Returns:
    the synchronize manager
  Since:
    3.0

### addPropertyChangeListener

    public static void addPropertyChangeListener(IPropertyChangeListener listener)

  Register for changes made to Team properties.

  Parameters:
    `listener` - the listener to add

### removePropertyChangeListener

    public static void removePropertyChangeListener(IPropertyChangeListener listener)

  Remove the listener from Team property change listener list.

  Parameters:
    `listener` - the listener to remove

### getHistoryView

    public static IHistoryView getHistoryView()

  Shows the history view and returns a handle to it. Note that in the case of many history views, the main history view is the one returned here.

  Returns:
    an IHistoryView which is the main history view if it is found or null if it can't be found
  Since:
    3.2

### showHistoryFor

    public static IHistoryView showHistoryFor(IWorkbenchPage page,
                                              Object input,
                                              IHistoryPageSource pageSource)

  Shows a history view containing the given input and returns a handle to the view or `null` if no history was available for the given input. If an appropriate instance of a history view is already opened, its input will be changed and the view will be activated. Otherwise a new view will be opened.

  Parameters:
    `page` - the workbench page containing the history view
    `input` - the input whose history is to be displayed
    `pageSource` - the history page source from which to obtain the page or `null` if the page source should be determined using the Adapter manager.
  Returns:
    an IHistoryView which is the main history view if it is found or null if it can't be found
  Since:
    3.3

### getTeamContentProviderManager

    public static ITeamContentProviderManager getTeamContentProviderManager()

  Return the team content provider manager which gives access to the team content providers registered with the `org.eclipse.team.ui.teamContentProviders` extension point.

  Returns:
    the team content provider manager
  Since:
    3.2

### getPages

    public static IScmUrlImportWizardPage[] getPages(ScmUrlImportDescription[] descriptions)
                                              throws CoreException

  Return a set of wizard pages for the given descriptions. If no wizard page is registered for a SCM URL scheme from a description then a page will not be created. If an extension exits, a page will be created and initialized with a set of corresponding descriptions. EXPERIMENTAL. This class has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the Team team.

  Parameters:
    `descriptions` - descriptions with SCM URLs
  Returns:
    initialized wizard pages
  Throws:
    `CoreException` - if an error occurs while trying to create a page extension
  Since:
    3.6

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.